=== debian/changelog ===
f1spirit (0.rc9-1615) unstable; urgency=low

  * Update release

 -- Patsie <http://www.braingames.getput.com/>  Fri, 06 Feb 2009 11:05:07 +0100
